{% extends "base.html" %}

{% block title %}
Editor -
{% endblock %}

{% block head %}
<link rel="stylesheet" href="/style/map.css">
<script type="module">
    import { editor } from "/scripts/map.js";

    document.addEventListener("DOMContentLoaded", (_) => editor("map", "coordinates"), false);
    document.addEventListener(
        "DOMContentLoaded",
        function (_) {
            function hideAndShowAreaGroups(country) {
                const selected = document.querySelector(`#area > optgroup[label="${country}"]`);
                selected.disabled = false;
                selected.style.display = null;

                for (const notSelected of document.querySelectorAll(`#area > optgroup[label]:not([label="${country}"])`)) {
                    notSelected.disabled = true;
                    notSelected.style.display = "none";
                }
            }

            const countrySelect = document.getElementById("country");
            hideAndShowAreaGroups(countrySelect.selectedOptions[0].label);
            countrySelect.addEventListener(
                "change",
                function (event) {
                    const country = event.target.selectedOptions[0].label;
                    hideAndShowAreaGroups(country);
                },
                false,
            );
        },
        false,
    );
</script>
{% endblock %}

{% block header %}
<h1>Trail Editor</h1>
{% endblock %}

{% block content %}
<div id="map"></div>

<form action="/ui/trails" method="post">
    <fieldset>
        <legend>Information</legend>
        <ul>
            <li>
                <label for="country">Country</label>
                <select id="country" name="country" required>
                    {% for group in areas %}
                    <option value="{{ group.0.alpha2() }}">{{ group.0.name }}</option>
                    {% endfor %}
                </select>
            </li>
            <li>
                <label for="area">Area</label>
                <select id="area" name="area" required>
                    {% for group in areas %}
                    <optgroup label="{{ group.0.name }}">
                        {% for area in group.1 %}
                        <option value="{{ area.code }}">{{ area.name }}</option>
                        {% endfor %}
                    </optgroup>
                    {% endfor %}
                </select>
            </li>
            <li>
                <label for="name">Trail Name</label>
                <input id="name" name="name" type="text" required>
            </li>
        </ul>
    </fieldset>
    <fieldset>
        <legend>Coordinates</legend>
        <ol id="coordinates"></ol>
    </fieldset>
    <input type="submit">
</form>
{% endblock %}